Package com.ads.api.beans.csm

# Class CSMEnvironment

java.lang.Object
com.ads.api.beans.csm.CSMEnvironment

public class CSMEnvironment extends Object
The CSMEnvironment class contains several useful class fields and methods related to CSMEnvironment. These methods are used for setting data to the current object and getting data from the current object. .

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSMEnvironment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the AuditHistory Details.
  `int`
  `getId()`
  Returns the id of the CSMEnvironment.
  `String`
  `getName()`
  Returns the name of the CSMEnvironment.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory details as specified.
  `void`
  `setId(int id)`
  Sets the id of CSMEnvironment.
  `void`
  `setName(String name)`
  Sets the name of CSMEnvironment as specified.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSMEnvironment

    public CSMEnvironment()

- ## Method Details

  - ### getId

    public int getId()
    Returns the id of the CSMEnvironment.
    Returns:
      id int.

  - ### setId

    public void setId(int id)
    Sets the id of CSMEnvironment.
    Parameters:
      `id` - int

  - ### getName

    public String getName()
    Returns the name of the CSMEnvironment.
    Returns:
      name String

  - ### setName

    public void setName(String name)
    Sets the name of CSMEnvironment as specified.
    Parameters:
      `name` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the AuditHistory Details.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`